Mark All Notifications As Read
curl --request PATCH \
--url https://api.thefaithapp.com/v1/notifications/read-all \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/notifications/read-all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/notifications/read-all"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.patch(url, headers=headers)
print(response.text){
"status": "Success",
"message": "All notifications marked as read"
}Notifications & Bulletins
Mark All Notifications As Read
Marks every member notification as read for the authenticated member.
PATCH
/
v1
/
notifications
/
read-all
Mark All Notifications As Read
curl --request PATCH \
--url https://api.thefaithapp.com/v1/notifications/read-all \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/notifications/read-all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/notifications/read-all"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.patch(url, headers=headers)
print(response.text){
"status": "Success",
"message": "All notifications marked as read"
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Response
All notifications marked as read.
The response is of type object.
Was this page helpful?